Last Comment Bug 825872 - Port bug 780561 - Overhaul the packager - to comm-central
: Port bug 780561 - Overhaul the packager - to comm-central
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 21.0
Assigned To: Mark Banner (:standard8) (afk until 26th July)
:
Mentors:
Depends on: new-packager 785871
Blocks: 526333 773171
  Show dependency treegraph
 
Reported: 2013-01-02 05:37 PST by Mark Banner (:standard8) (afk until 26th July)
Modified: 2013-03-08 02:07 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
port everything (9.22 KB, patch)
2013-01-03 11:35 PST, Nomis101
mh+mozilla: feedback+
Details | Diff | Splinter Review
port everything v2 (12.05 KB, patch)
2013-01-11 14:17 PST, Nomis101
no flags Details | Diff | Splinter Review
port everything v3 (8.73 KB, patch)
2013-01-24 00:57 PST, Mark Banner (:standard8) (afk until 26th July)
standard8: review+
philip.chee: feedback+
Details | Diff | Splinter Review

Description Mark Banner (:standard8) (afk until 26th July) 2013-01-02 05:37:46 PST
+++ This bug was initially created as a clone of Bug #780561 +++

Bug 780561 is working on an overhaul of the packager, we need to have the same overhaul in comm-central to avoid bustage in comm-central.

I've tweaked the dependency list for things that I think we do need actually port, the other bugs I've removed are non-relevant things.
Comment 1 Mike Hommey [:glandium] 2013-01-02 05:46:54 PST
There /should/ be nothing to port from bug 780561 itself, except the flight.mk and the configure.in changes for MOZ_CHROME_FILE_FORMAT.
Comment 2 Nomis101 2013-01-03 11:35:46 PST
Created attachment 697571 [details] [diff] [review]
port everything

This are every similar things I've found between m-c and c-c. But I'm confused if every of this changes are needed, because :glandium says only the parts in flight.mk and configure.in for MOZ_CHROME_FILE_FORMAT are needed. Should I remove the other parts I've ported from the patch?
Comment 3 Mike Hommey [:glandium] 2013-01-03 12:56:41 PST
Comment on attachment 697571 [details] [diff] [review]
port everything

Actually, that looks good like that. Some of these are not strictly needed, but it's good to have them. You'll also need a few changes in other */installer directories.
Comment 4 Nomis101 2013-01-11 14:01:40 PST
(In reply to Mike Hommey [:glandium] from comment #3)
> You'll also need a few changes in other
> */installer directories.

Ah yes, for suite and calendar, you are right. I will do that.
Comment 5 Nomis101 2013-01-11 14:17:56 PST
Created attachment 701307 [details] [diff] [review]
port everything v2

Hm, who can I choose to review the calendar and the suite part?
Comment 6 Philip Chee 2013-01-18 20:35:11 PST
Comment on attachment 701307 [details] [diff] [review]
port everything v2

> Hm, who can I choose to review the calendar and the suite part?
I'd say Fallen
Comment 7 Mike Hommey [:glandium] 2013-01-23 03:21:10 PST
(In reply to Nomis101 from comment #5)
> Created attachment 701307 [details] [diff] [review]
> port everything v2
> 
> Hm, who can I choose to review the calendar and the suite part?

Note the MOZ_CHROME_FILE_FORMAT part is missing.
Comment 8 Mark Banner (:standard8) (afk until 26th July) 2013-01-23 11:27:59 PST
Comment on attachment 701307 [details] [diff] [review]
port everything v2

I'm taking a look at this, I know Fallen is happy with me reviewing build config patches for Lightning as well.
Comment 9 Mark Banner (:standard8) (afk until 26th July) 2013-01-23 13:05:15 PST
I haven't had time tonight, but this is my priority first thing in the morning.
Comment 10 Mark Banner (:standard8) (afk until 26th July) 2013-01-24 00:57:11 PST
Created attachment 705769 [details] [diff] [review]
port everything v3

This patch is pretty much the same as Nomis' patch apart from:

- Fixed bitrot in config.mk
- Ported the MOZ_CHROME_FILE_FORMAT changes in configure.in
- Ported one-line DIST_GARBAGE change in /Makefile.in from bug 785871
Comment 11 Philip Chee 2013-01-24 02:45:38 PST
Comment on attachment 705769 [details] [diff] [review]
port everything v3

This patch allows make package and make installer to complete successfully.
Comment 12 Mark Banner (:standard8) (afk until 26th July) 2013-01-24 07:59:13 PST
This landed earlier:

https://hg.mozilla.org/comm-central/rev/ead82f3bfe13

We're still waiting on other bugs to be reviewed & land before the tree will be fully green and we can reopen.
Comment 13 Mark Banner (:standard8) (afk until 26th July) 2013-01-25 08:43:17 PST
Tree is now green again.

Note You need to log in before you can comment on or make changes to this bug.